Update file
Updates a file. This can be used to rename or move a file, create a shared link, or lock a file.
Authorizations
Headers
Path Parameters
Query Parameters
A comma-separated list of attributes to include in the response. This can be used to request fields that are not normally returned in a standard response.
Be aware that specifying this parameter will have the effect that none of the standard fields are returned in the response unless explicitly specified, instead only fields for the mini representation are returned, additional to the fields requested.
Body
An optional different name for the file. This can be used to rename the file.
File names must be unique within their parent folder. The name check is case-insensitive, so a file named New File cannot be created in a parent folder that already contains a folder named new file.
"NewFile.txt"
The description for a file. This can be seen in the right-hand sidebar panel when viewing a file in the Box web app. Additionally, this index is used in the search index of the file, allowing users to find the file by the content in the description.
256"The latest reports. Automatically updated"
Defines a shared link for a file. Set this to null to remove the shared link.
An array of collections to make this file a member of. Currently we only support the favorites collection.
To get the ID for a collection, use the List all collections endpoint.
Passing an empty array [] or null will remove the file from all collections.
The tags for this item. These tags are shown in the Box web app and mobile apps next to an item.
To add or remove a tag, retrieve the item's current tags, modify them, and then update this field.
There is a limit of 100 tags per item, and 10,000 unique tags per enterprise.
1 - 100 elementsResponse
Returns a file object.
Not all available fields are returned by default. Use the fields query parameter to explicitly request any specific fields.
A full representation of a file, as can be returned from any file API endpoints by default.
A numeric identifier that represents the most recent user event that has been applied to this item.
This can be used in combination with the GET /events-endpoint to filter out user events that would have occurred before this identifier was read.
An example would be where a Box Drive-like application would fetch an item via the API, and then listen to incoming user events for changes to the item. The application would ignore any user events where the sequence_id in the event is smaller than or equal to the sequence_id in the originally fetched resource.
"3"
The shared link for this file. This value will be null if no shared link has been created for this file.
The tags for this item. These tags are shown in the Box web app and mobile apps next to an item.
To add or remove a tag, retrieve the item's current tags, modify them, and then update this field.
There is a limit of 100 tags per item, and 10,000 unique tags per enterprise.
1 - 100 elementsRequesting this field creates an expiring Box Embed URL for an embedded preview session in an iframe.
This URL will expire after 60 seconds and the session will expire after 60 minutes.
Not all file types are supported for these embed URLs. Box Embed is not optimized for mobile browsers and should not be used in web experiences designed for mobile devices. Many UI elements, like the download and print options might not show in mobile browsers.
Specifies if the file can be accessed via the direct shared link or a shared link to a parent folder.
true
An object containing the metadata instances that have been attached to this file.
Each metadata instance is uniquely identified by its scope and templateKey. There can only be one instance of any metadata template attached to each file. Each metadata instance is nested within an object with the templateKey as the key, which again itself is nested in an object with the scope as the key.
The display name of the user that uploaded the file. In most cases this is the name of the user logged in at the time of the upload.
If the file was uploaded using a File Request form that requires the user to provide an email address, this field is populated with that email address. If an email address was not required in the File Request form, this field is set to return a value of File Request.
In all other anonymous cases where no email was provided this field will default to a value of Someone.
"Ellis Wiggins"
A list of the types of roles that user can be invited at when sharing this file.
can_preview, can_download, can_edit The collections that this file belongs to.
For more information, see the collections guide.
A stable API URL for the file content endpoint, /2.0/files/{id}/content. Unlike download_url, authorization is evaluated when the URL is requested with a valid access token.
This field is only returned for files, not folders or web links.
"https://api.box.com/2.0/files/12345/content"
The shared link access levels the authenticated user is allowed to use when creating or updating a shared link for this file.
The list depends on item policy and user authorization, so it may be narrower than the levels available to the owner. An empty array means no access level is available to this user.
The access level for a shared link.
open, company, collaborators 